
%global commit0 525ec684cfa8d234f797d7e49e21c476eea04d8e
%global tag0 VERSION_%{version}

Name:           libaccounts-qt
Summary:        Accounts framework Qt bindings
Version:        1.16
Release:    2%{?dist}

License:        LGPLv2
URL:            https://gitlab.com/accounts-sso/libaccounts-qt

Source0:        https://gitlab.com/accounts-sso/libaccounts-qt/repository/archive.tar.gz?ref=%{tag0}#/libaccounts-qt-%{version}.tar.gz

BuildRequires:  pkgconfig(libaccounts-glib) >= 1.23
BuildRequires:  doxygen
BuildRequires:  graphviz

%description
%{summary}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}
%description    devel
%{summary}.

%package        -n libaccounts-qt5
Summary:        Accounts framework Qt5 bindings
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires: make
%description    -n libaccounts-qt5
%{summary}.

%package        -n libaccounts-qt5-devel
Summary:        Development files for %{name}
Requires:       libaccounts-qt5 = %{version}-%{release}
%description    -n libaccounts-qt5-devel
%{summary}.

%package        doc
Summary:        User and developer documentation for %{name}
Provides:       libaccounts-qt5-doc = %{version}-%{release}
BuildArch:      noarch
%description    doc
%{summary}.


%prep
%setup -q -n libaccounts-qt-%{tag0}-%{commit0}


%build
mkdir %{_target_platform}
pushd %{_target_platform}
%{qmake_qt5} \
    QMF_INSTALL_ROOT=%{_prefix} \
    CONFIG+=release \
    LIBDIR=%{_libdir} \
    ../accounts-qt.pro
popd

%make_build -C %{_target_platform}


%install
make install INSTALL_ROOT=%{buildroot} -C %{_target_platform}

mkdir -p %{buildroot}%{_datadir}/accounts/{providers,services}

rm -fv %{buildroot}%{_datadir}/doc/accounts-qt/html/installdox

rm -rfv %{buildroot}%{_datadir}/libaccounts-qt-tests
rm -fv %{buildroot}%{_bindir}/accountstest



%files -n libaccounts-qt5
%license COPYING
%{_libdir}/libaccounts-qt5.so.*
%dir %{_datadir}/accounts/
%dir %{_datadir}/accounts/providers/
%dir %{_datadir}/accounts/services/

%files -n libaccounts-qt5-devel
%{_libdir}/libaccounts-qt5.so
%{_includedir}/accounts-qt5/
%{_libdir}/pkgconfig/accounts-qt5.pc
%{_libdir}/cmake/AccountsQt5

%files doc
%{_docdir}/accounts-qt/


%changelog
* Tue Jun 10 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.16-2
- Rebuilt for loongarch64

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.16-1
- initial build
